import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ModalControl } from '../../../modal-control/modal-control.component';
import { ConfigOption, ConfigResult, ConfigStorage } from './grid-config.model';
import { SettingService } from '../../../../services/setting/setting.service';
import { NotifyService } from '../../../../services/notify/notify.service';
import { TranslateService } from '../../../../services/translate/translate.service';
export declare class GridConfigComponent implements OnInit {
    private ref;
    private notifyService;
    private settingService;
    private translateService;
    isMobile: boolean;
    modal: ModalControl;
    sdChange: EventEmitter<ConfigResult>;
    option: ConfigOption;
    storage: ConfigStorage;
    constructor(ref: ChangeDetectorRef, notifyService: NotifyService, settingService: SettingService, translateService: TranslateService);
    ngOnInit(): void;
    setOption(option: ConfigOption): Promise<void>;
    private init;
    private initDefault;
    open(): void;
    save(): void;
    reset(): void;
    moveColumnUp(index: number): void;
    moveColumnDown(index: number): void;
    emitOnChange(): void;
}
